[youtubei.js](../../../../README.md) / [Misc](../README.md) / SubscriptionButton

# Class: SubscriptionButton

Defined in: [src/parser/classes/misc/SubscriptionButton.ts:4](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/SubscriptionButton.ts#L4)

## Constructors

### Constructor

> **new SubscriptionButton**(`data`): `SubscriptionButton`

Defined in: [src/parser/classes/misc/SubscriptionButton.ts:11](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/SubscriptionButton.ts#L11)

#### Parameters

##### data

[`RawNode`](../../../../type-aliases/RawNode.md)

#### Returns

`SubscriptionButton`

## Properties

### subscribed

> **subscribed**: `boolean`

Defined in: [src/parser/classes/misc/SubscriptionButton.ts:8](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/SubscriptionButton.ts#L8)

***

### subscription\_type?

> `optional` **subscription\_type**: `"FREE"` \| `"PAID"` \| `"UNAVAILABLE"`

Defined in: [src/parser/classes/misc/SubscriptionButton.ts:9](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/SubscriptionButton.ts#L9)

***

### text

> **text**: [`Text`](Text.md)

Defined in: [src/parser/classes/misc/SubscriptionButton.ts:7](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/SubscriptionButton.ts#L7)

***

### type

> `static` **type**: `string` = `'SubscriptionButton'`

Defined in: [src/parser/classes/misc/SubscriptionButton.ts:5](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/classes/misc/SubscriptionButton.ts#L5)
